summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorFabio Erculiani <lxnay@gentoo.org>2011-08-19 12:16:56 +0000
committerFabio Erculiani <lxnay@gentoo.org>2011-08-19 12:16:56 +0000
commitdeca3d2a4538ae5b07a50852f4993e073c90be26 (patch)
tree8adc0952711c01da2d9a8f46525f6fe36c2398a9 /eclass
parentDepend on dbus[X] for session management (diff)
downloadhistorical-deca3d2a4538ae5b07a50852f4993e073c90be26.tar.gz
historical-deca3d2a4538ae5b07a50852f4993e073c90be26.tar.bz2
historical-deca3d2a4538ae5b07a50852f4993e073c90be26.zip
revert as suggested by Arfrever
Diffstat (limited to 'eclass')
-rw-r--r--eclass/python.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/python.eclass b/eclass/python.eclass
index 941b4651fe5f..2256c97d42f6 100644
--- a/eclass/python.eclass
+++ b/eclass/python.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.129 2011/08/19 10:18:59 lxnay Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.130 2011/08/19 12:16:56 lxnay Exp $
# @ECLASS: python.eclass
# @MAINTAINER:
@@ -421,7 +421,7 @@ python_pkg_setup() {
PYTHON_ABI="${PYTHON_ABI:-$(PYTHON --ABI)}"
fi
- if has "${EAPI:-0}" 0 1 && [[ -n "${PYTHON_USE_WITH}" || -n "${PYTHON_USE_WITH_OR}" ]]; then
+ if ! has "${EAPI:-0}" 0 1 && [[ -n "${PYTHON_USE_WITH}" || -n "${PYTHON_USE_WITH_OR}" ]]; then
if [[ "${PYTHON_USE_WITH_OPT}" ]]; then
if [[ "${PYTHON_USE_WITH_OPT}" == !* ]]; then
use ${PYTHON_USE_WITH_OPT#!} && return